<!DOCTYPE html>
<html>

<head>
    <title>INF226</title>
    <link rel="stylesheet" href="/static/index.css" />
	<link rel="icon" href="/static/favicon.ico" type="image/png" />
</head>

<body>
    <div id="page">
        <marquee>
            <div id="header"></div>
        </marquee>
        <main>
            <pre id="output"></pre>
        </main>
        <div id="controls">
            <label for="sender">From:</label>
            <input type="text" id="sender" name="sender" value="{{ current_user.id }}" readonly>
            <button type="button" id="showAllMessagesBtn">Show all</button>
            <button type="button" id="postAnnouncements">Post</button>
            <label for="receiver">Send to:</label>
            <select id="receiver" name="receiver">
                {% for names in current_user.receivers %}
                    <option value= "{{names}}">{{names}}</option>
                {% endfor %}
            </select>
            <button type="button" id="sendBtn">Send</button>
            <span></span>
            <input id="csrf_token" type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
            <label for="message">Message:</label>
            <textarea id="message" style="grid-row: span 4;">A message...</textarea>
            <button type="button" id="logOutBtn">Log out</button>
        </div>
        <div id="anchor"></div>
    </div>
    <script src="/static/index.js"></script>
</body>

</html>